<br>
<form action="/controlpanel" method="get">
<input type="hidden" name="m" value="<%%get_m%>">
<input type="hidden" name="a" value="<%%get_a%>">
<select name="query">
<%
	<option value="$(Websql.queries.*)" <%(%query == $$(Websql.queries.*))SELECTED%>>$(Websql.queries.@.name)</option>
%>
</select>
<input type="submit" name="load" value="Load" /><br />
</form>
<br>
<%(?query)
	<form action="/controlpanel" method="get">
    <input type="hidden" name="m" value="<%%get_m%>">
    <input type="hidden" name="a" value="<%%get_a%>">
	<input type="hidden" name="query" value="<%%query%>">

	<%/*
	<strong>SQL:</strong><br>
	<div style="width: 500px">
		$(Websql.queries.%query.query)
	</div><br>
	*/%>
	<table border="0">
	<%(?$(Websql.queries.%query.param_order))
		<%
			<%|varblock|
				<%|define("wsr_po")|$$$(Websql.queries.%query.param_order.@)%>
				<%|define("wsr_p_name")|$(Websql.queries.%query.params.%wsr_po.name)%>
				<%|define("wsr_p_type")|$(Websql.queries.%query.params.%wsr_po.type)%>
				<%(?$(Websql.queries.%query.params.%wsr_po.subtype))
					<%|define("wsr_p_subtype")|$(Websql.queries.%query.params.%wsr_po.subtype)%>
				%>
				<%|define("wsr_p_default")|$(Websql.queries.%query.params.%wsr_po.default)%>
				<%(?$(Websql.queries.%query.params.%wsr_po.yesterday))
					<%|define("wsr_p_yesterday")|$(Websql.queries.%query.params.%wsr_po.yesterday)%>
				%>
				<%(?$(Websql.queries.%query.params.%wsr_po.today))
					<%|define("wsr_p_today")|$(Websql.queries.%query.params.%wsr_po.today)%>
				%>
				/* <tr><td><p> (DBG) wsr_po: %wsr_po </p></td></tr> */
			
			<tr valign="top">
				<th align="right" style="display:<%(%wsr_p_type != "hidden")block::none%>">%wsr_p_name:</th>
				<td>
					<%(%wsr_p_type == "checkbox")
						<input type="checkbox" name="%wsr_po" value="1" <%($(params.%wsr_po) != 0 || (!?$(params) && (%wsr_p_default != 0)))checked="checked"%>>
					::(%wsr_p_type == "select")
/********************************** BEGIN SELECT SECTION **********************/
<select name="%wsr_po">
	<%(?wsr_p_subtype)
		<%(%wsr_p_subtype == "adqueue_queue_list")
			<%
				<option value="$(modules.adqueue.nocheckout_queues.@)">
					$(modules.adqueue.queue.$(modules.adqueue.nocheckout_queues.@))
				</option>
			%>
		%>
	:: /* General select case */
		<%
			<option value="$(Websql.queries.%query.params.%wsr_po.option.@.value)"
			<%($(params.%wsr_po) == $$(Websql.queries.%query.params.%wsr_po.option.@.value))selected%>>
				$(Websql.queries.%query.params.%wsr_po.option.@.name)
			</option>
		%>
	%>
</select>
/********************************** END SELECT SECTION **********************/
					::
						<input type="<%(%wsr_p_type != "hidden")text::hidden%>" name="%wsr_po" value="/*
							*/<%(?$(params.%wsr_po))/*
								*/$(params.%wsr_po)/*
							*/::/*
								*/<%(?wsr_p_yesterday)/*
									*/%yesterday %wsr_p_default/*
                                                                */::/*
									*/<%(?wsr_p_today)/*
										*/%today %wsr_p_default/*
									*/::/*
										*/%wsr_p_default/*
									*/%>/*
                                                               */%>/*
							*/%>">
					%>
					<%(?$(errors.%wsr_po))<br><div style="float:left" class="error">$(errors.%wsr_po)</div>%>
				</td>
			</tr>
			%> /* END_varblock */
		%>
	:: /* ELSE param_order */
		<%
			<tr style="<%($$(Websql.queries.%query.params.@.name) == "")display:none%>" valign="top">
                <th align="right" style="<%($$(Websql.queries.%query.params.@.type) == "hidden")display:none%>">$(Websql.queries.%query.params.@.name): </th>
				<td>
					<%($$(Websql.queries.%query.params.@.type) == "checkbox")
						<input type="checkbox" name="$$(Websql.queries.%query.params.*)" value="1" <%($(params.$$$(Websql.queries.%query.params.*)) != 0 || (!?$(params) && $$$(Websql.queries.%query.params.@.default) != 0))checked="checked"%>>
					::
                    <input type="<%($$$(Websql.queries.%query.params.@.type) != "hidden")text::hidden%>" name="$$(Websql.queries.%query.params.*)" value="<%(?$(params.$$$(Websql.queries.%query.params.*)))$(params.$$$(Websql.queries.%query.params.*))::$$$(Websql.queries.%query.params.@.default)%>">
					%>
					<%(?$(errors.$$(Websql.queries.%query.params.*)))<br><div style="float:left" class="error">$(errors.$$(Websql.queries.%query.params.*))</div>%>
				</td>
			</tr>
		%>
	%>
	</table>
	<br>
	Send result to: <input type="text" name="recipient" value="<%%recipient%>">&nbsp;&nbsp;(optional)
	<input type="submit" name="run" value="Run" /><br />
	<%(?$(errors.recipient))<div class="error">$(errors.recipient)</div>%>
	</form>
%>
<%(?result_set && (%result_set == 0 || ?recipient))
	<br>
	<%(?timeout)
		The query is slow, the result will be sent by email.<br>
	%>
	<strong><%(?recipient)The result is sent to %recipient::Empty result%></strong>
::(%result_set == 1)
	<br />
	<br />
	<a href="?%query_string&export_xml=">Download as excelfile</a>
	<br />
	<br />
	<table class="websql_result_table ListingTable">
		<tr valign="top">
			<%<th>$(Websql.queries.%query.fields.@.name)</th>%>
		</tr>

	<% /* BEGIN result loop */
		<tr name="%res_key" valign="top">

		<% /* BEGIN fields loop */
			<%|varblock|
				<%|define("res_key")|$$$$(result.*)%>
				<%|define("wsr_field_id")|$$$(Websql.queries.%query.fields.@.id)%>
				<%|define("wsr_field_link")|$$$(Websql.queries.%query.fields.@.link)%>
				<%|define("wsr_field_type")|$$$(Websql.queries.%query.fields.@.type)%>

			<td name="<%%wsr_field_id%>_<%%res_key%>">
				<%(%wsr_field_link == "1")
					<a target="_blank" href="$(result.%res_key.%wsr_field_id)">
				::(%wsr_field_link != "")
					<a target="_blank" href="<%%wsr_field_link%>$(result.%res_key.%wsr_field_id)">
				%>
				<%($(Websql.config_transalate.%wsr_field_id) != "")
					<%|varblock|
						<%|define("value")|$(result.%res_key.%wsr_field_id)%>
						<%(%value != "")
							<%|define("key_bconf")|<%|replace("KEY",%value)|$(Websql.config_transalate.%wsr_field_id)%>%>
							$(%key_bconf)
						::
							--
						%>
					%>
				::(%wsr_field_id == "category")
					<%($(result.%res_key.category) < 1000)
						<%|replace(","," -")|$$(old_cat.$$(result.%res_key.category).name)-%>
					::
						<%|replace(","," -")|$$(cat.$$(cat.$$(result.%res_key.category).parent).name) - $$(cat.$$(result.%res_key.category).name)%>
					%>
				::(%wsr_field_id == "list_id")
					<%($(result.%res_key.%wsr_field_id) != "")
						$(result.%res_key.%wsr_field_id)
					::
						-
					%>
				::(%wsr_field_id == "deletion_reason")
					$(deletion_reason.$(result.%res_key.%wsr_field_id).description)
				::(%wsr_field_id == "region")
					<%($$(common.region.$$(result.%res_key.region).name) != "")
                		<%|replace(","," -")|$$(common.region.$$(result.%res_key.region).name)%>
					::
						-
					%>
				::(%wsr_field_type == "bool")
					<%($(result.%res_key.%wsr_field_id) == 1) True :: False %>
				::
					$(result.%res_key.%wsr_field_id)
				%>
				<%(%wsr_field_link != "") </a>%>
			</td>
			%>/* END varblock */
		%> /* END fields loop */
		</tr>
	%> /* END result loop */
	</table>
%>
